## boa-constructor 0.6.1

=== debian/changelog ===
boa-constructor (0.6.1-16) unstable; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.7.
  * Remove Vcs-* fields pointing to dead URLs.
  * Use SOURCE_DATE_EPOCH instead of BUILD_DATE, and depend on
    required debhelper version.
  * Sort files for boa.apphelp.htb archive.
  * Remove menu file.
  * Add Keywords to desktop file.
  * Don't install redundant license file.
  * Convert debian/copyright to DEP5.
  * Drop Python version restriction.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 25 Mar 2016 15:10:43 +0100

boa-constructor (0.6.1-15) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add TZ=UTC. Now it should be reproducible.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Sep 2015 17:44:32 +0200

boa-constructor (0.6.1-14) unstable; urgency=medium

  * QA upload.
  * debian/rules: set mtimes and modes of files before zipping them.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 23:55:02 +0200

boa-constructor (0.6.1-13) unstable; urgency=medium

  * QA upload.
  * Update to depend on python-wxgtk3.0 rather than python-wxgtk2.8:
    + New patch: wxpy3.0-compat.patch
    + Update/rename select_wxpython_2_8.patch to select_wxpython_3_0.patch.
  * Disable use of wx.media - this never worked in Debian, but now the
    module is gone too.
  * "Standards-Version: 3.9.5" - no changes required.
  * Update to debhelper compat level 9.
  * debian/README.source: Remove since it's obsolete with source format
    "3.0 (quilt)".

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 23:55:41 +1200

boa-constructor (0.6.1-12) unstable; urgency=low

  * Orphaning package.
  * Update package to use wxwidgets2.8 (Closes: #645759).
  * Bump Standards-Version to 3.9.2, no changes required.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 07 Nov 2011 18:24:34 -0500

boa-constructor (0.6.1-11) unstable; urgency=low

  * debian/source:
    - switched to using source format 3.0 (quilt).
  * debian/control:
    - increase min python version to (>=2.6.6-11~).
    - after a discussion with Luca Falavigna I am taking over maintenance of 
      the package.  Added my info to Maintainers: field
    - bumped Standards-Version to 3.9.1, no changes needed.
    - removed dependency on quilt.
    - removed dependency on python-support.
    - use X-P-V instead of XS-P-V, increase version to 2.6
  * debian/rules:
    - removed "--with quilt", added "--with python2".
    - changed override to "dh_python2" and corrected syntax.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 15 Feb 2011 17:48:34 -0500

boa-constructor (0.6.1-10) unstable; urgency=low

  * debian/patches/string_exceptions.patch:
    - Do not use string exceptions, not supported by Python 2.6
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 12:07:13 +0200

boa-constructor (0.6.1-9) unstable; urgency=low

  * Do not install embedded tarfile, zipfile and xmlrpclib modules, they
    are provided by stdlib (closes: #556355):
    + debian/patches/stdlib.patch:
      - Adjust files to load modules from stdlib.
    + debian/patches/no_maxint.patch:
      - Drop change on tarfile.py, it will not be installed anymore.
    + debian/rules:
      - Exclude affected files from the package.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 27 Nov 2009 23:45:10 +0100

boa-constructor (0.6.1-8) unstable; urgency=low

  * Do not install embedded pyparsing module, suggest python-pyparsing
    instead, wx25upgrade.py needs it (Closes: #555367).
  * Do not install embedded ConfigParser module (Closes: #555426).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 14 Nov 2009 14:59:21 +0100

boa-constructor (0.6.1-7) unstable; urgency=low

  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Switch to debhelper 7:
    - Bump compat level to 7.
    - Minimize debian/rules.
    - Build-Depend on debhelper (>= 7.0.50) and quilt (>= 0.46-7).
  * debian/patches/no_double_free.patch:
    - Do not attempt to free menu objects twice (Closes: #532988).
  * Depend on ${misc:Depends} to fix a lintian warning.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Fix some wxWindows spelling errors in the description.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Aug 2009 19:17:37 +0200

boa-constructor (0.6.1-6) unstable; urgency=low

  * Add Python Applications Packaging Team to Uploaders.
  * Add Vcs-* fields in source stanza.
  * debian/copyright:
    - Boa-Constructor is licensed under GPLv2, adjust link accordingly.
  * Switch to python-support:
    - Add python-support (>= 0.90.0) to Build-Depends-Indep.
    - Remove boa-constructor.postinst and boa-constructor.prerm files,
      skipping byte-compilation of ZopeLib/zoa/* files is handled using
      the appropriate dh_pysupport option.
    - Remove XB-Python-Version field boa-constructor binary stanza.
  * Switch to quilt:
    - Patches converted to new patch systems, descriptions updated.
    - README.source file adjusted to document quilt usage.
  * debian/patches/maxint:
    - Hardcode sys.maxint value to the one returned by 32-bit platforms,
      fix OverflowError on 64-bit machines (LP: #313952).
  * Adjust debian/rules:
    - Remove build target, useless.
    - Remove useless calls to some debhelper scripts.
  * Move boa-constructor.launcher to wrappers/boa-constructor, this way
    it can be installed directly by dh_install.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 11 Apr 2009 17:40:43 +0200

boa-constructor (0.6.1-5) unstable; urgency=low

  * Install locales files (LP: #313955).
  * Bump to Standards-Version 3.8.0:
    - Add debian/README.source file for dpatch as per policy.
  * Remove some useless files:
    - debian/boa-constructor.dirs, not really needed.
    - debian/README.Debian, obsolete.
  * Add DM-Upload-Allowed field.


