=== debian/control ===
Source: boa-constructor
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9.20151004), python
Build-Depends-Indep: zip, unzip
Homepage: http://boa-constructor.sourceforge.net/
Standards-Version: 3.9.7
X-Python-Version: >= 2.6

Package: boa-constructor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, pychecker, python-wxgtk3.0
Suggests: python-pyparsing
Description: RAD tool for Python and wxWindows application
 Boa-constructor is an IDE oriented towards creating cross-platform
 applications built on top of the Python language and the wxWindows GUI
 toolkit.
 .
 It features:
  - visual wxWindows frame design,
  - object inspector and explorer,
  - syntax highlighting editor with code completion, call tips and code
    browsing for Python code,
  - syntax highlighting editor for C, C++, HTML, XML, config files (INI
    style),
  - documentation generation,
  - an integrated Python debugger,
  - integrated help,
  - a Python Shell,
  - an explorer able to browse, open/edit, inspect and interact with
    various data sources including files, CVS, Zope, FTP, DAV and SSH,
  - an UML view generator.
