=== debian/rules ===
#!/usr/bin/make -f

export TZ=UTC

%:
	dh $@ --with python2

clean:
	-mv Docs/boa.apphelp.htb.orig Docs/boa.apphelp.htb
	dh $@ --with python2

override_dh_install:
	mv Docs/boa.apphelp.htb Docs/boa.apphelp.htb.orig
	mkdir Docs/boa.apphelp
	cd Docs/boa.apphelp; unzip -qq ../boa.apphelp.htb.orig
	cd Docs/boa.apphelp; patch -p1 < ../../debian/patches/docs_typo.patch
	cd Docs/boa.apphelp; chmod 644 *
	find Docs/boa.apphelp -newermt '@$(SOURCE_DATE_EPOCH)' -print0 |\
		xargs -0r touch -h --date='@$(SOURCE_DATE_EPOCH)'
	cd Docs/boa.apphelp; find | LC_ALL=C sort | zip --names-stdin -q ../boa.apphelp.htb
	rm -fr Docs/boa.apphelp
	dh_install -Xboa.apphelp.htb.orig -Xpyparsing.py -Xtarfile.py -Xxmlrpclib.py \
	-Xzipfile.py -XConfigParser.py -Xgpl.txt

override_dh_python2:
	dh_python2 -X .*/zoa
