=== debian/watch ===
version=3
http://sf.net/boa-constructor/boa-constructor-(.*)\.src\.zip debian uupdate
